#!/bin/sh

set -xe

_MINI=-mini

DESTDIR=/tmp/dest${_MINI}
RELEASEDIR=/tmp/release${_MINI}
MAKECONF=/etc/mk${_MINI}.conf
SUDO=sudo

export DESTDIR RELEASEDIR MAKECONF SUDO

if [ "x$1" != "xbuilt" ] ; then
	rm -rf ${DESTDIR}/*
	make -k cleandir
	rm -rf /usr/obj/*
	
	make obj
	cd etc
	make distrib-dirs
	cd ..
	
	make build
fi

cd etc
make release
cd ..

# isakmpd is huge when statically linked, make and install a dynamic one
if [ ! -z "$_MINI" ] ; then
	cd sbin/isakmpd
	make clean
	make LDSTATIC=""
	strip obj/isakmpd
	install -m 0755 -o root -g bin obj/isakmpd \
		${DESTDIR}/usr/sbin/isakmpd.dynamic
fi

